For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check fixed tenancy campaign availability

This endpoint checks if a fixed tenancy campaign can be booked for specified dates and placement. It shows any conflicts with existing campaigns and confirms availability.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint checks if a fixed tenancy campaign can be booked for specified dates and placement. It shows any conflicts with existing campaigns and confirms availability."

Check fixed tenancy campaign availability

Check fixed tenancy campaign availability

post

This endpoint checks if a fixed tenancy campaign can be booked for specified dates and placement. It shows any conflicts with existing campaigns and confirms availability.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
campaignIdstringOptional

The unique identifier of the campaign.

catalogIdsstring[] · min: 1Required

The unique identifier of the retailer's catalog.

endTimestring · date-timeRequired

When the campaign ends as a precise ISO-8601 timestamp. If removed then the campaign will be treated as 'ALWAYS ON'.

placementIdstringRequired

The unique identifier of the placement.

positionsinteger · int32[] · min: 1Required

The fixed tenancy positions to be booked by the campaign.

startTimestring · date-timeRequired

When the campaign starts as a precise ISO-8601 timestamp.

Responses
200

A successful response.

application/json
availablebooleanOptional
post/v3/product-campaigns:checkFixedTenancyAvailable
POST /v3/product-campaigns:checkFixedTenancyAvailable HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 389

{
  "campaignId": "text",
  "catalogIds": [
    "text"
  ],
  "endTime": "2026-01-01T00:00:00.000Z",
  "filters": [
    {
      "catalogId": "catalog_12345",
      "filter": "filter_value_abc"
    }
  ],
  "placementId": "text",
  "positions": [
    1
  ],
  "searchTerms": [
    {
      "collectionName": "default_collection",
      "matchType": "MATCH_TYPE_UNSPECIFIED",
      "maxBid": "100.00",
      "phrase": "example search term",
      "treatAsCustom": true
    }
  ],
  "startTime": "2026-01-01T00:00:00.000Z"
}
{
  "available": true,
  "conflicts": [
    {
      "campaignIds": [
        "text"
      ],
      "catalogId": "text",
      "endTime": "2026-01-01T00:00:00.000Z",
      "filter": {
        "catalogId": "catalog_12345",
        "filter": "filter_value_abc"
      },
      "placementId": "text",
      "searchTerm": {
        "collectionName": "default_collection",
        "excludedProducts": [
          {
            "catalogId": "catalog_001",
            "productCode": "PROD123456",
            "sellerId": "seller_78910"
          }
        ],
        "matchType": "MATCH_TYPE_UNSPECIFIED",
        "maxBid": "100.00",
        "phrase": "example search term",
        "suggested": true,
        "treatAsCustom": true
      },
      "startTime": "2026-01-01T00:00:00.000Z"
    }
  ]
}